import request from "./index";
import qs from "qs";

// 登录
export const tologin = (data) => {
  // let query = 'username=' + user.loginName + '&password=' + user.password
  return request({
    url:'/admin/api-u/login',
    method:'post',
    data
  })
};

// 退出
export const logout = (query:any) => {
  // let token = sessionStorage.getItem('loginedInfo') && JSON.parse(sessionStorage.getItem('loginedInfo')).access_token
  return request({
    url: "/data/api-u/user/logout",
    method: "post"
  });
};

// 获取验证码
export const getVerifyCode = (query:any) => {
  return request({
    url: "/data/api-u/user/makeVerifyCode",
    method: "get",
    params:query
  });
}

// 获取用户信息
export const getLoginUserData = () => {
  let token = sessionStorage.getItem('loginedInfo') && JSON.parse(sessionStorage.getItem('loginedInfo')).access_token
  return request({
    url: "/data/api-u/users/current",
    method: "get",
    headers:{
      'Content-Type':'application/x-www-form-urlencoded',
      'Authorization':token || ''
    }
  });
};

//修改密码
export const updatePwd = (query:any) => {
  return request({
    url:'/data/api-u/user/updatePwd',
    method:'post',
    data:qs.stringify(query)
  })
};

// 重置密码
export const forgetPwd = (query:any) => {
  return request({
    url:'/data/api-u/user/forgetPwd',
    method:'post',
    data:qs.stringify(query)
  })
};

// 注册
export const register = (query: any) => {
  return request({
    url: "/data/api-u/user/register",
    method: "post",
    data: query
  });
};

// 验证手机验证码
export const verifyPh = (query: any) => {
  return request({
    url: "/data/api-u/user/verifyCode",
    method: "post",
    data: qs.stringify(query)
  });
};

// 获取字典
export const getDic = (query: any) => {
  return request({
    url: "/data/api-u/dic/findDicByType",
    method: "get",
    params: query
  });
};

// 获取行政区域
export const getAreas = (query: any) => {
  return request({
    url: "/data/api-u/area/findAreaByParentId",
    method: "get",
    params: query
  });
};

// 完善用户信息
export const entireUserInfo = (query: any) => {
  return request({
    url: "/data/api-u/user/entireUserInfo",
    method: "post",
    data: query
  });
};

// 获取用户信息
export const getUserInfo = () => {
  return request({
    url: "/data/api-u/user/getUserInfo",
    method: "get"
  });
};

// 修改手机号
// newPhoneNum  string
// verifyCode   string
export const updatePhoneNum = (query: any) => {
  return request({
    url: "/data/api-u/user/updatePhoneNum",
    method: "post",
    data: qs.stringify(query)
  });
};